#include <qapplication.h>
#include <qpushbutton.h>
#include <qlcdnumber.h>
#include <qfont.h>
#include <qlayout.h>
#include <iostream>
#include "GrWindow.h"
#include "Funzioni.h"
#include "RicercaZeri.h"

using namespace std;
double fm(double x) {
   double L=1;
   double A=1.;
   double k=10;
   double M=0.1;    
   return k*(A-L*tan(x))-M*9.8*sin(x);
};

int main()
{
  double zero,errore;
  double x0,x1;
  bool succes;
// definisco una funzione  
  GrFunction1D F(fm,0,1.);  
// disegno la funzione nell'intervallo in cui e' definita   
  F.Draw();
  x0=0.0;
  x1=1.;
  succes=Ricerca(F,x0,x1,zero,errore);
  if (succes) {
      printf("All'interno dell'intervallo (%g , %g) \n",x0,x1);
      printf("Trovo uno zero in %25.20g +/- %g \n",zero,errore);
  }
  JobEnd();
  return 0;
}

