#include "RicercaZeri.h"
#include <stdio.h>
#include <math.h>
#define MAXITER 100
#define DELTA 0.0000001
bool Ricerca(const Function1D & F, double X0,double X1, double & zero, double & errore)  {
/*
  Variabili da utilizzare per contenere i valori dei punti
  della funzione utilizzati per l'algoritmo
*/
   double x0,x1,x2;
   double y0,y1,y2;
/*
   Il contatore n serve a contare il numero di iterazioni.
   Ricordati di usarlo
*/   
   int n=0;
/*
   Controllo sull'appartenenza dell'intervallo iniziale (X0,X1)
   all'insieme di definizione della funzione
*/   
   if (X0<F.xmin() || X0>F.xmax() || X1<F.xmin() || X1>F.xmax()) {
     printf("I punti di partenza  (%g ,%g ) \n",X0,X1);
     printf("non sono all'interno dell'insieme di definizione (%g ,%g )\n",F.xmin(),F.xmax());
     return false;
   }
/*
   Verifica che all'interno dell'intervallo (X0,X1) ci sia uno zero
*/   
   x0=X0;  // assegno X0 a x0
   x1=X1;  // assegno X1 a x1
   y0=F(x0);  // calcolo del valore della funzione in x0 e assegnazione a y0
   y1=F(x1);  //   come sopra per x1
   if (y0*y1>0) {
     printf("Non trovo uno zero nell'intervallo (%g ,%g ) \n",x0,x1);
     printf("o nell'intervallo ci sono piu' zeri \n");
     return false;
   }
   /*
   Modifica il loop principale per la ricerca dello zero
   utilizzando uno degli algoritmi che conosci
   NOTA. Ricorda che per calcolare la funzione in un punto devi usare F(x)
         per calcolare il valore della derivata della funzione in un punto devi usare F.derivata(x)
   while ( condizione di arresto) {
     algoritmo 
   }
   
   Inserisci qui il controllo per la mancata convergenza dell'algoritmo
   if (condizione) {
     messaggio
     return false;
   
   }
   
   Inserisci qui il valore dello zero e dell'errore
   if (condizione) {
     zero= ...
     errore= ... 
   
   }
   if (condizione) {
     zero= ...
     errore= ... 
   
   }
   if (condizione) {
     zero= ...
     errore= ... 
   
   }
   */
   printf("Converge in %d passi\n",n-1);
   return true;


   return true;
}; 

